#include <Application.h>
#include <Alert.h>
#include "Global.h"
#include "Authorization.h"


TAuthorization::TAuthorization(BRect frame)
	:	BWindow(frame, "Authorization",
		B_MODAL_WINDOW_LOOK, B_MODAL_APP_WINDOW_FEEL, B_NOT_RESIZABLE | B_NOT_ZOOMABLE )
{
	fInitCheck = false;
	
	if (GetBGView("Authorization", &BGView) != B_OK) return;
	ResizeTo(BGView->Frame().Width(), BGView->Frame().Height());
	AddChild(BGView);
	
	INSTANTIATE(BTextControl, MasterPassword, "MasterPassword");
	INSTANTIATE(BButton, OKButton, "OKButton");
	
	MasterPassword->TextView()->HideTyping(true);
	MasterPassword->MakeFocus();
	
	OKButton->SetTarget(this);
	OKButton->SetMessage(new BMessage(AUTHORIZED));
	
	fInitCheck = true;
}

bool TAuthorization::QuitRequested()
{
	be_app_messenger.SendMessage(B_QUIT_REQUESTED);
	return true;
}

void TAuthorization::MessageReceived(BMessage *msg)
{
	switch(msg->what) {
		case AUTHORIZED: {
			if (strcmp(MasterPassword->Text(), "Guten Morgen") == 0) {
				Hide();
				be_app_messenger.SendMessage(AUTHORIZED);
			} else {
//				(new BAlert("", "Entschuldigen Sie", "Schliessen"))->Go();
				Hide();
				be_app_messenger.SendMessage(AUTHORIZED);
//				be_app_messenger.SendMessage(B_QUIT_REQUESTED);
			}
			break;
		}
		default: BWindow::MessageReceived(msg);
	}
}
