#include <Alert.h>
#include "Global.h"
#include "NetbfsPrefApp.h"

int main(int argc, char *argv[])
{
	TNetbfsPrefApp myApp;
	myApp.Run();
	return 0;
}

TNetbfsPrefApp::TNetbfsPrefApp()
	:	BApplication("application/x-vnd.netbfs-preference")
{
	AuthorizationWindow = new TAuthorization(BRect(250, 250, 0, 0));
	PreferenceWindow = new TPreference(BRect(200, 200, 0, 0));
	PasswordWindow = new TPassword(BRect(250, 250, 0, 0));
	
	if ((!PreferenceWindow->InitCheck()) || 
	    (!AuthorizationWindow->InitCheck()) ||
	    (!PasswordWindow->InitCheck())) {
		(new BAlert("", "Internal Error!", "Quit"))->Go();
		be_app_messenger.SendMessage(B_QUIT_REQUESTED);
		return;
	}
	
	PreferenceWindow->Show();
	AuthorizationWindow->Show();
	PasswordWindow->Show();
	PasswordWindow->Hide();
}

void TNetbfsPrefApp::MessageReceived(BMessage *msg)
{
	switch(msg->what) {
		case AUTHORIZED:
			BMessenger(PreferenceWindow).SendMessage(msg);
			break;
		default: BApplication::MessageReceived(msg);
	}
}
