#include <Application.h>
#include <Alert.h>
#include "Global.h"
#include "Password.h"


TPassword::TPassword(BRect frame)
	:	BWindow(frame, "Password", B_MODAL_WINDOW_LOOK, B_MODAL_APP_WINDOW_FEEL,
				B_NOT_RESIZABLE | B_NOT_ZOOMABLE )
{
	fInitCheck = false;
	
	if (GetBGView("Password", &BGView) != B_OK) {
		return;
	}
	ResizeTo(BGView->Frame().Width(), BGView->Frame().Height());
	AddChild(BGView);
	
	INSTANTIATE(BTextControl, UserName, "UserName");
	INSTANTIATE(BTextControl, Password, "Password");
	INSTANTIATE(BTextControl, Retype, "Retype");
	INSTANTIATE(BButton, OKButton, "OKButton");
	INSTANTIATE(BButton, CancelButton, "CancelButton");
	
	Password->TextView()->HideTyping(true);
	Retype->TextView()->HideTyping(true);
	
	OKButton->SetMessage(new BMessage(OK_BTN_CLICKED));
	CancelButton->SetMessage(new BMessage(CANCEL_BTN_CLICKED));
	
	fInitCheck = true;
}

bool TPassword::QuitRequested()
{
	be_app_messenger.SendMessage(B_QUIT_REQUESTED);
	return true;
}

void TPassword::MessageReceived(BMessage *msg)
{
	switch(msg->what) {
		case OK_BTN_CLICKED: {
			if (strcmp(Password->Text(), Retype->Text()) == 0) {
				fInputCheck = 1;
				this->Hide();
			} else {
				(new BAlert("", "パスワードが一致していません。", "OK"))->Go();
			}
			break;
		}
		case CANCEL_BTN_CLICKED: {
			fInputCheck = 2;
			this->Hide();
			break;
		}
		default: BWindow::MessageReceived(msg);
	}
}

void TPassword::Open(const char *userName)
{
	fInputCheck = 0;
	UserName->SetText(userName);
	UserName->MakeFocus();
	Password->SetText("");
	Retype->SetText("");
	this->Show();
}
