#ifndef _DIR_CACHE_H
#define _DIR_CACHE_H

#include "fsproto.h"

#define DIR_CACHE_MAX_SIZE 1024


typedef struct entry_cache_t {
	struct entry_cache_t *next;
	struct entry_cache_t *prev;
	char *leafname;
	struct stat stat;
} entry_cache_t;

typedef struct dir_cache_t {
	struct dir_cache_t *next;
	struct dir_cache_t *prev;
	char *path;
	vnode_id vnid;
	entry_cache_t *entries;
} dir_cache_t;


// 追加/更新・検索・削除
dir_cache_t *c_add_dir(dir_cache_t **first, const char *path, vnode_id id);
dir_cache_t *c_find_dir(dir_cache_t *first, vnode_id id);
void c_remove_dir(dir_cache_t **first, vnode_id id);
void c_make_empty_dir(dir_cache_t *first);

// dir にエントリを追加/更新・検索・削除
entry_cache_t *c_add_entry(dir_cache_t *dir, const char *leafname, uint16 namelen, const struct stat *stat);
entry_cache_t *c_find_entry_vnid(dir_cache_t *dir, vnode_id id);
entry_cache_t *c_find_entry_name(dir_cache_t *dir, const char *leafname);
void c_remove_entry(dir_cache_t *dir, vnode_id id);
void c_make_empty_entry(dir_cache_t *dir);

#endif
