#ifndef _CLIENT_H
#define _CLIENT_H

#include <stdio.h>
#include <stdlib.h>
#include <sys/socket.h>
#include <netdb.h>
#include <String.h>
#include "netbfs.h"

class TClient
{
public:
	TClient(int clifd, struct sockaddr_in *cliaddr, const TConfig *config);
	~TClient();
	void run();
	
private:
	int fClientFd;
	const TConfig *fConfig;
	FILE *fStdin, *fStdout;			// 対 Client 送受信
	struct sockaddr_in fClientAddr;
	BString fRootDir;
	bool fWritable;
	
	char recv_buff[NETBFS_DATA_MAXSIZE];
	char decomp_temp[NETBFS_DATA_MAXSIZE];
	char send_buff[sizeof(netbfs_reply_t) + NETBFS_DATA_MAXSIZE + (NETBFS_DATA_MAXSIZE / 64) + 16 + 3];
	
//	int fFileHandle;				// fopen, fclose, fread, fwrite で使うハンドル
	FILE *fFileHandle;				// fopen, fclose, fread, fwrite で使うハンドル
	
	int get_real_path(const char *path, BString *resolved_path);
	int netpath_to_realpath(const char *netpath, BString *realpath);
	int netfpath_to_realfpath(const char *netfpath, BString *realfpath);
	int check_root_dir(const char *path);
	
	status_t send_reply(uint8 status, uint8 data_stat, uint32 data_length,
						uint8 continuation, const void *data);
	status_t get_command(uint8 *command, uint32 *data_length, void **data);
	int login_auth();
	int mainloop();
	
	void cmd_start_nodemon(uint32 data_length, char *data);
	void cmd_start_livequery(uint32 data_length, char *data);
	void cmd_readdir(uint32 data_length, char *data);
	void cmd_fopen(uint32 data_length, char *data);
	void cmd_fread(uint32 data_length, char *data);
};


#endif
