#ifndef _GLOBAL_H
#define _GLOBAL_H

#include <iostream>
#include <fstream>
#include <List.h>
#include <String.h>

extern ofstream LOG;

// prototype
void freeargs(int argc,char **argv);
char *dirname(char *path);
char *basename(char *path);
void freeargs(int argc,char **argv);
void dump_file(const char *name, const void *data, uint32 numBytes);

// config

typedef struct user_t {
	BString *name;
	BString *password;
} user_t;

typedef struct share_folder_t {
	BString *name;
	BString *path;
	BString *users;
	bool writable;
	bool guest_ok;
} share_folder_t;

enum {
	
};

class TConfig
{
public:
	TConfig();
	~TConfig();
	int Load(const char *conf_file);
	void Unload();
	const user_t *FindUser(const char *userName) const;
	const share_folder_t *FindShare(const char *shareName) const;
	void ShareNames(BString *names) const;
	
	int Error() const { return fError; };
	const char *StrError() const { return fStrError.String(); };
	const char *LogFile() const { return fLogFile.String(); };
	const char *Comment() const { return fComment.String(); };
	bool IsBrowsable() const { return fBrowsable; };
	bool IsWritable() const { return fWritable; };
	bool IsGuestOk() const { return fGuestOk; };
	
private:
	BString fStrError;
	BString fLogFile;
	BString fComment;
	int fError;
	bool fBrowsable;
	bool fWritable;
	bool fGuestOk;
	BList fUserList;
	BList fShareList;
};

#endif
