//*** LICENSE ***
//ColumnListView, its associated classes and source code, and the other components of Santa's Gift Bag are
//being made publicly available and free to use in freeware and shareware products with a price under $25
//(I believe that shareware should be cheap). For overpriced shareware (hehehe) or commercial products,
//please contact me to negotiate a fee for use. After all, I did work hard on this class and invested a lot
//of time into it. That being said, DON'T WORRY I don't want much. It totally depends on the sort of project
//you're working on and how much you expect to make off it. If someone makes money off my work, I'd like to
//get at least a little something.  If any of the components of Santa's Gift Bag are is used in a shareware
//or commercial product, I get a free copy.  The source is made available so that you can improve and extend
//it as you need. In general it is best to customize your ColumnListView through inheritance, so that you
//can take advantage of enhancements and bug fixes as they become available. Feel free to distribute the 
//ColumnListView source, including modified versions, but keep this documentation and license with it.

//Conventions:
//    Global constants (declared with const) and #defines - all uppercase letters with words separated 
//        by underscores.
//        (E.G., #define MY_DEFINE 5).
//        (E.G., const int MY_CONSTANT = 5;).
//    New data types (classes, structs, typedefs, etc.) - begin with an uppercase letter followed by
//        lowercase words separated by uppercase letters.  Enumerated constants contain a prefix
//        associating them with a particular enumerated set.
//        (E.G., typedef int MyTypedef;).
//        (E.G., enum MyEnumConst {MEC_ONE, MEC_TWO};)
//    Global variables - begin with "g_" followed by lowercase words separated by underscores.
//        (E.G., int g_my_global;).
//    Argument and local variables - begin with a lowercase letter followed by
//        lowercase words separated by underscores.
//        (E.G., int my_local;).
//    Member variables - begin with "m_" followed by lowercase words separated by underscores.
//        (E.G., int m_my_member;).
//    Functions (member or global) - begin with an uppercase letter followed by lowercase words
//        separated by uppercase letters.
//        (E.G., void MyFunction(void);).


#ifndef _SGB_ARROW_BUTTON_H_
#define _SGB_ARROW_BUTTON_H_


//******************************************************************************************************
//**** SYSTEM HEADER FILES
//******************************************************************************************************
#include <Control.h>


//******************************************************************************************************
//**** PROJECT HEADER FILES
//******************************************************************************************************


//******************************************************************************************************
//**** TYPE DEFINITIONS AND CONSTANTS
//******************************************************************************************************
enum ArrowOrientation
{
	ARROW_UP = 0,
	ARROW_LEFT,
	ARROW_RIGHT,
	ARROW_DOWN
};


//******************************************************************************************************
//**** ArrowButton CLASS
//******************************************************************************************************
class ArrowButton: public BControl
{
	public:
		ArrowButton(BRect frame, const char *name, const char *label, BMessage *message,
			ArrowOrientation orientation, uint32 resizingMode = B_FOLLOW_LEFT | B_FOLLOW_TOP, 
			uint32 flags = B_WILL_DRAW | B_NAVIGABLE);
		~ArrowButton();
		virtual void AttachedToWindow();
		virtual	void WindowActivated(bool state);
		virtual void Draw(BRect update_rect);
		virtual	void MouseDown(BPoint pt);
		virtual void MouseMoved(BPoint pt, uint32 code, const BMessage *message);
		virtual	void MouseUp(BPoint pt);
		virtual void SetEnabled(bool on);
		virtual	void GetPreferredSize(float *width, float *height);

	private:
		bool m_window_activated;
		bool m_following_mouse;
		BBitmap* m_bitmaps[3];	//indexed by ArrowBitmaps type
		BRect m_arrow_rect;
		ArrowOrientation m_orientation;
};


#endif
