#include "StrTok.h"


TStrTok::TStrTok(const char *string, const char *delim, int flags)
{
	bool countNullstr = (flags & TOKEN_COUNT_NULLSTR) > 0;
	bool singleDelim = (flags & TOKEN_SINGLE_DELIM) > 0;
	
	const char *str = string;
	const char *strd;
	int pitch;
	
	if (singleDelim) {
		pitch = 1;
	} else {
		pitch = strlen(delim);
	}
	
	for(;;) {
		if (singleDelim) {
			strd = strpbrk(str, delim);
		} else {
			strd = strstr(str, delim);
		}
		
		if (str == strd) {	// delim で挟まれている(文字長 0)
			if (countNullstr) fList.AddItem(new BString(""));
		} else {
			if (strd == NULL) {	// 文字列の終端に達した
				if (strlen(str)==0) {
					if (countNullstr) fList.AddItem(new BString(""));
				} else {
					fList.AddItem(new BString(str));
				}
				break;
			} else {
				fList.AddItem(new BString(str, strd - str));
			}
		}
		str = strd + pitch;
	}		
}

const char *TStrTok::Token(int index)
{
	BString *str = (BString *)fList.ItemAt(index);
	if (str!=NULL) return str->String();
	return NULL;
}
