//------------------------------------------------------------------------------
//	File Name:		Strtok.h
//	Author:			momoziro (momoziro@be-in.org)
//	Description:		TStrTok class
//------------------------------------------------------------------------------

#ifndef _STRTOK_H
#define _STRTOK_H

// System Includes ------------------------------------------------------------
#include <String.h>
#include <List.h>

enum {
	TOKEN_COUNT_NULLSTR = 1,	// delim で挟まれている場合(文字長 0)を対象とする
	TOKEN_SINGLE_DELIM = 2		// delim は１つの文字列ではなく、１文字の配列である
							//		つまり、デリミタは複数存在できる。
							//		逆は、１つのデリミタ文字列である。
};

class TStrTok
{
public:
	TStrTok(const char *string, const char *delim, int flags);
	const char *Token(int index);
	int32 CountTokens() { return fList.CountItems(); };
private:
	BList fList;
};


#endif
