#ifndef _STREAM_BUFFER_H
#define _STREAM_BUFFER_H

#include <List.h>
#include <String.h>

enum {
	SB_UNKNOWN_TEXT_TYPE,	// CR,CRLF,LFを自動認識する。LFCRは２改行とみなす。
	SB_LF_TEXT_TYPE,		// LFを改行として扱う。UNIX/BeOS風
	SB_CRLF_TEXT_TYPE,		// CRLFを改行として扱う。DOS/Windows風
	SB_CR_TEXT_TYPE,		// CRを改行として扱う。MacOS(9.x以前)風
	SB_BINARY_TYPE		// 改行コードなしのバイナリ扱い。整形しない。
};

#define SB_BUFFER_EMPTY -1


class TStreamBuffer
{
private:
	int32 FTextType;
	int32 FFlags;
	BList FStreamBuffer;
	BString FPendingBuffer;
	BString FSeparator;

	virtual void _AddStream(const char *input);
	virtual void _AddStream2(const char *input);

public:
	TStreamBuffer(int32 textType, int32 flags = 0);
	virtual ~TStreamBuffer();
	virtual void SetTo(int32 textType, int32 flags = 0);
	virtual void AddStream(const char *input);
	virtual int32 OutputStream(BString *output);
	virtual void Clear();

	virtual int32 CountLines();
	virtual bool Pending();
	virtual void PendingStream(BString *pending, bool remove = false);
};


#endif
