#include <Directory.h>
#include <unistd.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <arpa/inet.h>
#include <String.h>
#include "mount_netbfs.h"

int mount_netbfs(const char *server_address, uint16 port,
	const char *shareName, const char *mountPoint,
	const char *userName, const char *password)
{
	int result;
	
	BString ac;
	ac << userName << "@" << password << "@" << shareName;
	
	netbfs_parms_t parms;
	parms.server.sin_len = sizeof(parms.server);
	parms.server.sin_family = AF_INET;
	parms.server.sin_port = htons(port);
	parms.server.sin_addr.s_addr = inet_addr(server_address);
	strncpy(parms.idpass, ac.String(), sizeof(parms.idpass));
	parms.timeout = 10000000;
	
	create_directory(mountPoint, 0755);
	result = mount("netbfs", mountPoint, NULL, 0, &parms, sizeof(parms));
	
	return result;
}
